OpenERP Quick Installation Guide
---------------------------------

This file contains a quick guide to configure and install the OpenERP server.

Required dependencies:
---------------------

You need the following software installed:

    * Python 2.4 or 2.5
    * Postgresql 8.2 or above
    * Psycopg2 python module 
    * libxml2 and python bindings
    * libxslt and python bindings
    * Reportlab pdf generation library for python
    * lxml python module
    * pytz python module

Some dependencies are only required for specific purposes:

for rendering workflows graphs, you need:
    * graphviz
    * pyparsing

for generating reports using non .jpg images, you need:
    * Python Imaging Library for python

For Debian-based distributions, the required packages can be installed with the 
following command:

  #> apt-get install -y postgresql graphviz python-psycopg2 python-xml python-lxml python-libxml2 python-libxslt1 python-tz python-imaging

For Fedora 
if they are not installed, install:
python and postgresql

uses yum or you can recover required packages on fedora web site in "core" or "extra" repository :
postgresql-python
libxml2-python
libxslt-python
python-lxml
python-imaging
python-psycopg2
python-reportlab
graphviz
You can find pyparsing at http://pyparsing.sourceforge.net/ 

1. Check that all the required dependencies are installed.

2. Launch the program "python ./bin/openerp-server.py -r db_user -w db_password --db_host 127.0.0.1".
See the man page for more information about options.

3. Connect to the server using the GUI client. And follow the instructions to create a new database.

